EDIT - bug #6915

Delete does not work in media view for taxon
08/15/2017 12:27 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal Found in Version:

Description

| tried to delete an image which belongs to an image gallery of a taxon.

None of the delete options of the configurator work because it says that the media is still connected to a taxon.
The image is removed from the view but it re-appears when the view is refreshed.

Related issues:
Related to EDIT - feature request #5365: Add delete configurator to Media Vie... Closed
Related to EDIT - bug #6730: Deleting media leads to inconsistent data Resolved

Associated revisions

Revision b294e97e - 08/16/2017 09:50 AM - Katja Luther

the deleteConfig for media needs the description from where it should be deleted.

Revision 9d368a18 - 08/17/2017 12:43 PM - Katja Luther

fix media delete, remove descriptionElement from description if it does not contain any media anymore

Revision b3d82392 - 08/17/2017 01:19 PM - Katja Luther

minor

Revision cfc11510 - 08/17/2017 01:26 PM - Katja Luther

minor

History

#1 - 08/15/2017 12:29 PM - Patrick Plitzner
- Related to feature request #5365: Add delete configurator to Media View image gallery added

#2 - 08/15/2017 12:29 PM - Patrick Plitzner
- Related to bug #6730: Deleting media leads to inconsistent data added

#3 - 08/16/2017 12:01 PM - Katja Luther
- Status changed from New to Resolved

- Target version changed from Unassigned CDM tickets to Release 4.10

this was because the object from where the media should be deleted is not set in the configurator, this is fixed with
b294e97e70881eecbe12dc58882934cf6b96df52

#4 - 08/16/2017 12:02 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

#5 - 08/16/2017 01:48 PM - Patrick Plitzner
- Status changed from Resolved to Feedback
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 0 to 80
Deleting works but only with the second option "Remove ... and delete teh media completely...". The other two options never delete the image if the
gallery is attached to a taxon

#6 - 08/17/2017 12:49 PM - Katja Luther

now all delete options are working, also the problem that while delete one media from a gallery removed the whole gallery is fixed. The remaining
issue is the missing refresh in taxeditor.

#7 - 08/18/2017 10:45 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

#8 - 09/15/2017 02:15 PM - Patrick Plitzner
- Status changed from Resolved to Closed

- Assignee changed from Patrick Plitzner to Katja Luther

works fine

#9 - 09/21/2017 03:29 PM - Andreas Miiller
Katja Luther wrote:
now all delete options are working, also the problem that while delete one media from a gallery removed the whole gallery is fixed. The

remaining issue is the missing refresh in taxeditor.

Is the remaining issue also fixed now (or moved to another ticket)?

#10 - 09/21/2017 03:32 PM - Patrick Plitzner

Andreas Muller wrote:
Katja Luther wrote:
now all delete options are working, also the problem that while delete one media from a gallery removed the whole gallery is fixed. The
remaining issue is the missing refresh in taxeditor.

Is the remaining issue also fixed now (or moved to another ticket)?

Yes, this works also
